summaryrefslogtreecommitdiff
path: root/x11-misc
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-04-30 12:13:09 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-04-30 12:13:09 +0100
commitd7c3a7198937685738bbc2b59fdb7fb60d752f38 (patch)
tree0c967876e0dd3b9eb08b20a985f44659e7a989a8 /x11-misc
parenta335bda8eb5d4561ec2be1b2b495888b8d93b51c (diff)
Revert "drop menulibre"
This reverts commit a335bda8eb5d4561ec2be1b2b495888b8d93b51c.
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/menulibre/Manifest1
-rw-r--r--x11-misc/menulibre/menulibre-13.04.17.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/x11-misc/menulibre/Manifest b/x11-misc/menulibre/Manifest
new file mode 100644
index 00000000..098726d7
--- /dev/null
+++ b/x11-misc/menulibre/Manifest
@@ -0,0 +1 @@
+DIST menulibre_13.04.17.tar.gz 337166 SHA256 84cd21d92bb16cc221d7fa7ebf801a7493cce8743dd15b65d72af23d4b421a99 SHA512 7e0a2c3d765612a1c9ae9f82206fc180d7edc06dbe294bd200d699ecdb243a28ba58030b94084bc0525540f514642914b4224d766d4c9817ee7ee9ac9074b627 WHIRLPOOL d8d87c4180623a956f3c799b506c8718f1b42dcc7554df20d7e21b612f3134451250f5e5b07db0f672df40b1478b8e4189be94ea1850a8008800fe5c07ad051c
diff --git a/x11-misc/menulibre/menulibre-13.04.17.ebuild b/x11-misc/menulibre/menulibre-13.04.17.ebuild
new file mode 100644
index 00000000..c89718d7
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-13.04.17.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/menulibre/menulibre-13.04.17.ebuild,v 1.2 2014/04/26 08:30:46 pacho Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit eutils gnome2-utils distutils-r1
+
+DESCRIPTION="An advanced menu editor that provides modern features in a clean, easy-to-use interface"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-python/python-distutils-extra[${PYTHON_USEDEP}]"
+RDEPEND="dev-libs/gobject-introspection
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ x11-libs/gdk-pixbuf[X,introspection]
+ x11-libs/gtk+:3[X,introspection]
+ x11-libs/gtksourceview:3.0[introspection]
+ x11-themes/hicolor-icon-theme"
+
+S=${WORKDIR}/trunk
+
+python_prepare_all() {
+ # too many categories
+ sed -i \
+ -e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+ menulibre.desktop.in || die 'sed on menulibre.desktop.in failed'
+
+ local i
+ # fix incorrect behavior when LINGUAS is set to an empty string
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+ if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+ for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+ if ! has ${i} ${LINGUAS} ; then # if language is disabled
+ rm po/${i}.po || die
+ fi
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newicon -s 32 help/C/figures/icon.png menu-editor.png
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ elog "optional dependencies:"
+ elog " gnome-extra/yelp (view help contents)"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}